## class osgSim::Sector

## Inheritance:

### Public Methods

Sector()
Sector(const Sector& copy, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)
virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual float operator() (const osg::Vec3&yeLocal*/) const = 0

### Protected Methods

virtual ~Sector()

## Documentation

`Sector()`

`Sector(const Sector& copy, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual bool isSameKindAs(const osg::Object* obj) const`

`virtual float operator() (const osg::Vec3&yeLocal*/) const = 0`

`virtual ~Sector()`

Direct child classes:
  ElevationSector
  ConeSector
  AzimSector
  AzimElevationSector

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.